高危 Atlassian Crowd and Crowd Data Center 权限绕过漏洞(CVE-2022-43782)

CVE编号

CVE-2022-43782

利用情况

暂无

补丁情况

官方补丁

披露时间

2022-11-21
漏洞描述
Atlassian Crowd和Atlassian Crowd Data Center都是澳大利亚Atlassian公司的产品。Atlassian Crowd是一套基于Web的单点登录系统。该系统为多用户、网络应用程序和目录服务器提供验证、授权等功能。Atlassian Crowd Data Center是Crowd的集群部署版。

CVE-2022-43782 中,Atlassian Crowd和Atlassian Crowd Data Center 3.0 版本及其之后在同时满足以下条件时受影响:
1、Atlassian Crowd和Atlassian Crowd Data Center 为新安装版本,即从 https://www.atlassian.com/software/crowd/download/data-center 下载安装,而不是从旧版本升级而来。
2、在Atlassian Crowd和Atlassian Crowd Data Center Remote Address 配置中增加了IP,默认情况下为空

在同时满足以上两个条件的情况下,攻击者可从相关IP地址调用Atlassian Crowd和Atlassian Crowd Data Center usermanagement REST API,而无需通过密码身份认证,执行任意敏感操作。

影响版本:
Crowd 3.0.0 - Crowd 3.7.2
Crowd 4.0.0 - Crowd 4.4.3
Crowd 5.0.0 - Crowd 5.0.2

安全版本:
Crowd 5.0.3
Crowd 4.4.4

解决建议
官方已发布安全更新,若您Crowd满足详情中两个条件,建议升级至安全版本及其以上,其中 Crowd 3.0 系列已停止支持,建议升级至 Crowd 5.x/4.x 系列。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 atlassian crowd * From
(including)
3.0.0
Up to
(excluding)
4.4.4
运行在以下环境
应用 atlassian crowd * From
(including)
5.0.0
Up to
(excluding)
5.0.3
阿里云评分
7.0
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    越权影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-287 认证机制不恰当
阿里云安全产品覆盖情况